project-lakitu: Update tini to upstream

BUG=b/176912333
TEST=presubmit
RELEASE_NOTE=Updated tini to v0.19.0.

Change-Id: I0b332b7b798f4af8899b6e61061f641434edcd7a
Reviewed-on: https://cos-review.googlesource.com/c/cos/overlays/board-overlays/+/10803
Reviewed-by: Varsha Teratipally <teratipally@google.com>
Reviewed-by: Roy Yang <royyang@google.com>
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
diff --git a/project-lakitu/sys-process/tini/Manifest b/project-lakitu/sys-process/tini/Manifest
index 7958089..3f87125 100644
--- a/project-lakitu/sys-process/tini/Manifest
+++ b/project-lakitu/sys-process/tini/Manifest
@@ -1 +1 @@
-DIST tini-0.18.0.tar.gz 32152 SHA256 1097675352d6317b547e73f9dc7c6839fd0bb0d96dafc2e5c95506bb324049a2 SHA512 83279180b6a875aaff9b6b7446ee7e71fd05357279744afcb4db67c76572dc871acfba86c035857009b5dd88ca75d9f2e815d6a925563cdb3e6e771eb83be9b1 WHIRLPOOL fda290757b9854373dfcbfbe92082f57be26e8357fa789a60f38f3cbdb6577730152773f5942acce85000560e4c2b9d47389f6e06cc266aa78eda7d1933f8e74
+DIST tini-0.19.0.tar.gz 32369 BLAKE2B 5d86f6299b92152063974e6ecd347e1a2ba90f0188f2a702ddb6c814fc1c9723062481fe560caa89e9f74883017ee833566adf1eb1f11fe625671eced47f3296 SHA512 1fa85b56e2c6085ea474f251928e7a40510d92aeef60b3c145b0496969c1b5df86835d143cb91ef5b4bf4da63fa8a56947cc39a4276e4b72faa57276d432b292
diff --git a/project-lakitu/sys-process/tini/tini-0.18.0-r1.ebuild b/project-lakitu/sys-process/tini/tini-0.18.0-r1.ebuild
deleted file mode 120000
index 0324134..0000000
--- a/project-lakitu/sys-process/tini/tini-0.18.0-r1.ebuild
+++ /dev/null
@@ -1 +0,0 @@
-tini-0.18.0.ebuild
\ No newline at end of file
diff --git a/project-lakitu/sys-process/tini/tini-0.18.0.ebuild b/project-lakitu/sys-process/tini/tini-0.18.0.ebuild
deleted file mode 100644
index d31d9cb..0000000
--- a/project-lakitu/sys-process/tini/tini-0.18.0.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit cmake-utils flag-o-matic
-
-GIT_COMMIT=fec3683b971d9c3ef73f284f176672c44b448662
-DESCRIPTION="A tiny but valid init for containers"
-HOMEPAGE="https://github.com/krallin/tini"
-SRC_URI="https://github.com/krallin/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="*"
-IUSE="+args +static"
-
-src_prepare() {
-	cmake-utils_src_prepare
-	# Do not strip binary
-	sed -i -e 's/-Wl,-s")$/")/' \
-		-e "s/git.*status --porcelain.*/true/" \
-		-e "s/git.*log -n 1.*/true/" \
-		-e "s/git.\${tini_VERSION_GIT}/git.${GIT_COMMIT}/" \
-		CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=()
-	use args || mycmakeargs+=(-DMINIMAL=ON)
-
-	cmake-utils_src_configure
-}
-
-src_compile() {
-	append-cflags -DPR_SET_CHILD_SUBREAPER=36 -DPR_GET_CHILD_SUBREAPER=37
-	cmake-utils_src_compile
-}
-
-src_install() {
-	cmake-utils_src_install
-	if use static; then
-		mv "${ED%/}"/usr/bin/{${PN}-static,${PN}} || die
-	else
-		rm "${ED%/}"/usr/bin/${PN}-static || die
-	fi
-}
diff --git a/project-lakitu/sys-process/tini/tini-0.19.0-r1.ebuild b/project-lakitu/sys-process/tini/tini-0.19.0-r1.ebuild
new file mode 120000
index 0000000..264408d
--- /dev/null
+++ b/project-lakitu/sys-process/tini/tini-0.19.0-r1.ebuild
@@ -0,0 +1 @@
+tini-0.19.0.ebuild
\ No newline at end of file
diff --git a/project-lakitu/sys-process/tini/tini-0.19.0.ebuild b/project-lakitu/sys-process/tini/tini-0.19.0.ebuild
new file mode 100644
index 0000000..490f880
--- /dev/null
+++ b/project-lakitu/sys-process/tini/tini-0.19.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake flag-o-matic
+
+GIT_COMMIT=fec3683b971d9c3ef73f284f176672c44b448662
+DESCRIPTION="A tiny but valid init for containers"
+HOMEPAGE="https://github.com/krallin/tini"
+SRC_URI="https://github.com/krallin/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="*"
+IUSE="+args +static"
+
+src_prepare() {
+	cmake_src_prepare
+
+	local sed_args=(
+		# Do not strip binary
+		-e 's/-Wl,-s")$/")/'
+
+		# Remove -Werror and -pedantic-errors in order to allow macro
+		# redefinition, so that CFLAGS="-U_FORTIFY_SOURCE" does not
+		# trigger an error due to add_definitions(-D_FORTIFY_SOURCE=2)
+		# in CMakeLists.txt (bug 626438).
+		-e "s/ -Werror / /"
+		-e "s/ -pedantic-errors / /"
+	)
+
+	sed -i "${sed_args[@]}" \
+		-e "s/git.*status --porcelain.*/true/" \
+		-e "s/git.*log -n 1.*/true/" \
+		-e "s/git.\${tini_VERSION_GIT}/git.${GIT_COMMIT}/" \
+		CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=()
+	use args || mycmakeargs+=(-DMINIMAL=ON)
+
+	cmake_src_configure
+}
+
+src_compile() {
+	append-cflags -DPR_SET_CHILD_SUBREAPER=36 -DPR_GET_CHILD_SUBREAPER=37
+	cmake_src_compile
+}
+
+src_install() {
+	cmake_src_install
+	if use static; then
+		mv "${ED}"/usr/bin/{${PN}-static,${PN}} || die
+	else
+		rm "${ED}"/usr/bin/${PN}-static || die
+	fi
+}